apply_matrix(3)

NAME
apply_matrix, apply_matrix_f

SYNOPSIS
#include <allegro.h>

void apply_matrix(const MATRIX *m, fixed x, y, z, *xout, *yout, *zout); void apply_matrix_f(const MATRIX_f *m, float x, y, z, *xout, *yout, *zout);

DESCRIPTION
Multiplies the point (x, y, z) by the transformation matrix m, storing the result in (*xout, *yout, *zout).

SEE ALSO
matrix_mul(3), ex12bit(3), ex3d(3), exstars(3)